%define beta	%nil
#define beta	-pre1
#define beta	.20080121

%define libmajor 1
%define libname %mklibname %{name} %{libmajor}
%define	libname_devel %mklibname %{name} %{libmajor} -d

%define iscanversion 2.28.1

# All sane backends have SONAME libsane.so.1. We do not want
# sane-backends-iscan to provide libsane.so.1, so filter these out.
%define _exclude_files_from_autoprov  %{_libdir}/%{name}/
%define __libtoolize /bin/true

# Setting this makes the /etc/sane.d/dll.conf empty so that scanning apps
# do not search for all existing scanner models which makes their startup
# slow (the user or "scannerdrake" has to insert the names of the really
# installed scanners then)
%define empty_dll_conf 0

%define gphoto2_support 1
%define v4l_support 1
# Switch to disable the compilation of the "primax" backend in case of
# problems
%define primax_support 1
# Switch to disable the compilation of the "epkowa" backend in case of
# problems
%define epkowa_support 1
%ifarch alpha ppc sparc %{arm} %{mips}
%define primax_support 0
%define epkowa_support 0
%endif

Name:		sane
Version:	1.0.25
Release:	%mkrel 5
Summary:	SANE - local and remote scanner access
URL:		http://www.sane-project.org/
Source:		https://alioth.debian.org/frs/download.php/file/4146/sane-backends-%{version}.tar.gz
Source3:	http://belnet.dl.sourceforge.net/sourceforge/px-backend/primaxscan-1.1.beta1.tar.bz2
Source5:	saned-xinetd
Source9:	http://heanet.dl.sourceforge.net/sourceforge/hp44x0backend/sane_hp_rts88xx-0.18.tar.bz2
Source10:	http://heanet.dl.sourceforge.net/sourceforge/brother-mfc/sane-driver-0.2.tar.bz2
Source11:	http://www.geocities.com/trsh0101/SANE/primascan.h
Source12:	http://www.geocities.com/trsh0101/SANE/primascan.c
# The free part of Epson's scanner driver package IScan, full package
# downloaded from http://www.avasys.jp/english/linux_e/index.html
# Non-free part stripped out with
# mkdir x; cd x; tar -xvzf ../iscan_2.21.0-6.tar.gz; rm -f */non-free/EAPL*.txt */non-free/lib*.so; tar -cvjf ../iscan_2.21.0-6-free.tar.bz2 *; cd ..; rm -rf x
Source13:	iscan-%{iscanversion}-3-free.tar.bz2
Source14:	http://downloads.sourceforge.net/project/geniusvp2/sane-backend-geniusvp2/1.0.16.1/sane-backend-geniusvp2_1.0.16.1.tar.gz
Patch0:		sane-backends-1.0.19-fix-str-fmt.patch
Patch1:		sane-backends-1.0.18-plustek-s12.patch
Patch23:	iscan-2.28.1-fix-link.patch
Patch24:	sane-backends-1.0.21-link.patch
Patch26:	iscan-2.20.1-no_non-free_please.diff
Patch27:	iscan-2.28.1-linkage_fix.patch
# (fc) 1.0.19-12mdv fix group for device
Patch28:	sane-backends-1.0.20-group.patch
# (fc) 1.0.20-1mdv primascan build support
Patch29:	sane-backends-1.0.21-primascan.patch
# (fc) list Brother MFC-260C, DCP130C as supported (Mdv bug # 52951)
Patch30:	sane-backends-1.0.22-brother2list.patch
Patch31:	sane-backends-1.0.20-strformat.patch
Patch32:	sane-backends-1.0.22-fix-str-fmt.patch
Patch33:	sane-backends-1.0.23-have-pthread.patch
Patch34:	sane-1.0.24-primaxscan-gcc5.patch
# (martinw) allow s-c-p and cups to access the device (mga#17593)
Patch35:	sane-backends-1.0.25-udev-add-lp-group-rw.patch

# Upstream patches
Patch51:	sane-1.0.24-systemd-configure-flag.patch

# Debian patches
# new build system breaks build when using pthreads.
Patch101:	01_missing_pthreads.dpatch
# add back SANE_CAP_ALWAYS_SETTABLE which was mistakenly
# removed from SANE 1.0.20
Patch106:	06_cap_always_settable.dpatch
# Update es translation and add new gl translation, courtesy of
# Miguel Bouzada <mbouzada@gmail.com>.
Patch109:	09_po_update_es_add_gl.dpatch
# Use fedora's patch to remove rpath
# Patch to the dll backend to look for pieces of dll.conf inside the
# /etc/sane.d/dll.d/ directory. This is a facility for packages providing
# external backends (like libsane-extras, hpoj and hplip).
Patch113:	22_dll_backend_conf.dpatch
Patch115:	24_sane-desc.c_debian_mods.dpatch

# Fedora patches
Patch202:	sane-backends-1.0.20-open-macro.patch
Patch203:	sane-backends-1.0.23-udev.patch

Patch1000:      sane-1.0.25-CVE-2017-6318.patch

# lib/ is LGPLv2+, backends are GPLv2+ with exceptions
# Tools are GPLv2+, docs are public domain
License: 	GPLv2+ and GPLv2+ with exceptions and Public Domain
Group:		Graphics/Scanning
Requires:	%{libname} = %{version}-%{release}
Requires:	sane-backends = %{version}-%{release}
BuildRequires:	jpeg-devel
BuildRequires:	tiff-devel
BuildRequires:	pkgconfig(libusb-1.0)
BuildRequires:	pkgconfig(libusb)
BuildRequires:	libieee1284-devel
BuildRequires:	libltdl-devel
BuildRequires:	texlive
BuildRequires:	texlive-texmf
BuildRequires:	gettext
BuildRequires:	gettext-devel
BuildRequires:	libgtk+2.0-devel
BuildRequires:	systemd-devel
%if %{gphoto2_support}
BuildRequires:	gphoto2-devel
%endif
%if %{v4l_support}
BuildRequires:	libv4l-devel
%endif
%if %{epkowa_support}
BuildRequires:	autoconf
%endif
# ensure resmgr is not pulled
BuildConflicts:	resmgr-devel

%description
SANE (Scanner Access Now Easy) is a sane and simple interface
to both local and networked scanners and other image acquisition devices
like digital still and video cameras.  SANE currently includes modules for
accessing a range of scanners, including models from Agfa SnapScan, Apple,
Artec, Canon, CoolScan, Epson, HP, Microtek, Mustek, Nikon, Siemens,
Tamarack, UMAX, Connectix, QuickCams and other SANE devices via network.

For the latest information on SANE, the SANE standard definition, and
mailing list access, see http://www.mostang.com/sane/

This package does not enable network scanning by default; if you wish
to enable it, install the saned package.

%package -n	%{libname}
Group:		System/Kernel and hardware
License:	LGPL
Summary:	SANE - local and remote scanner access. This package contains the sane library
Provides:	libsane = %{version}-%{release}

%description -n	%{libname}
SANE (Scanner Access Now Easy) is a sane and simple interface
to both local and networked scanners and other image acquisition devices
like digital still and video cameras.  SANE currently includes modules for
accessing a range of scanners, including models from Agfa SnapScan, Apple,
Artec, Canon, CoolScan, Epson, HP, Microtek, Mustek, Nikon, Siemens,
Tamarack, UMAX, Connectix, QuickCams and other SANE devices via network.

For the latest information on SANE, the SANE standard definition, and
mailing list access, see http://www.mostang.com/sane/

This package does not enable network scanning by default; if you wish
to enable it, install the saned package.

%package -n	%{libname_devel}
Group:		Development/C
License:	LGPL
Summary:	SANE - local and remote scanner access
Requires:	%{libname} = %{version}
Provides:	libsane-devel = %{version}-%{release}
Provides:	sane-devel = %{version}-%{release}
Obsoletes:	sane-devel

%description -n	%{libname_devel}
SANE (Scanner Access Now Easy) is a sane and simple interface
to both local and networked scanners and other image acquisition devices
like digital still and video cameras.  SANE currently includes modules for
accessing a range of scanners, including models from Agfa SnapScan, Apple,
Artec, Canon, CoolScan, Epson, HP, Microtek, Mustek, Nikon, Siemens,
Tamarack, UMAX, Connectix, QuickCams and other SANE devices via network.

For the latest information on SANE, the SANE standard definition, and
mailing list access, see http://www.mostang.com/sane/

This package contains the headers and development libraries necessary 
to develop applications using SANE.

%package	backends
Group:		Graphics/Scanning
License:	LGPL
Summary:	SANE - local and remote scanner access
Provides:	%{name} = %{version}-%{release}
Requires(pre,postun):	rpm-helper
%if %{epkowa_support}
Recommends:	iscan
%endif

%description	backends
SANE (Scanner Access Now Easy) is a sane and simple interface
to both local and networked scanners and other image acquisition devices
like digital still and video cameras.  SANE currently includes modules for
accessing a range of scanners, including models from Agfa SnapScan, Apple,
Artec, Canon, CoolScan, Epson, HP, Microtek, Mustek, Nikon, Siemens,
Tamarack, UMAX, Connectix, QuickCams and other SANE devices via network.

For the latest information on SANE, the SANE standard definition, and
mailing list access, see http://www.mostang.com/sane/

This package does not enable network scanning by default; if you wish
to enable it, install the saned package and set up the sane-net backend.
This package contains the backends for different scanners.

%if %{epkowa_support}
%package	backends-iscan
Group:		Graphics/Scanning
License:	LGPL
Summary:	SANE - local and remote scanner access
Provides:	iscan = %{iscanversion}
Conflicts:	sane-backends < 1.0.19-3
Conflicts:	%{libname} < 1.0.19-5
Conflicts:	%{libname_devel} < 1.0.20-7

%description	backends-iscan
SANE (Scanner Access Now Easy) is a sane and simple interface
to both local and networked scanners and other image acquisition devices
like digital still and video cameras.  SANE currently includes modules for
accessing a range of scanners, including models from Agfa SnapScan, Apple,
Artec, Canon, CoolScan, Epson, HP, Microtek, Mustek, Nikon, Siemens,
Tamarack, UMAX, Connectix, QuickCams and other SANE devices via network.

For the latest information on SANE, the SANE standard definition, and
mailing list access, see http://www.mostang.com/sane/

This package does not enable network scanning by default; if you wish
to enable it, install the saned package and set up the sane-net backend.

This package contains the iscan backend, in order to not conflict with
manufacturer-supplied packages.
%endif

%package	backends-doc
Summary:	Documentation for SANE backends
Group:		Documentation
BuildArch:	noarch

%description	backends-doc
This package contains the SANE backend documentation for different
scanners.

SANE (Scanner Access Now Easy) is a sane and simple interface
to both local and networked scanners and other image acquisition devices
like digital still and video cameras.  SANE currently includes modules for
accessing a range of scanners, including models from Agfa SnapScan, Apple,
Artec, Canon, CoolScan, Epson, HP, Microtek, Mustek, Nikon, Siemens,
Tamarack, UMAX, Connectix, QuickCams and other SANE devices via network.

For the latest information on SANE, the SANE standard definition, and
mailing list access, see http://www.mostang.com/sane/

This package does not enable network scanning by default; if you wish
to enable it, install the saned package and set up the sane-net backend.

%package -n	saned
Group:		Graphics/Scanning
License:	LGPL
Summary:	SANE - local and remote scanner access
Provides:	saned = %{version}-%{release}
Requires:	sane-backends
Requires:	xinetd
Requires(pre,post,preun,postun):	rpm-helper

%description -n	saned
SANE (Scanner Access Now Easy) is a sane and simple interface
to both local and networked scanners and other image acquisition devices
like digital still and video cameras.  SANE currently includes modules for
accessing a range of scanners, including models from Agfa SnapScan, Apple,
Artec, Canon, CoolScan, Epson, HP, Microtek, Mustek, Nikon, Siemens,
Tamarack, UMAX, Connectix, QuickCams and other SANE devices via network.

For the latest information on SANE, the SANE standard definition, and
mailing list access, see http://www.mostang.com/sane/

This package contains saned, a daemon that allows remote clients to
access image acquisition devices available on the local host.

%prep
%setup -q -n sane-backends-%{version}%{beta}
%patch1 -p1 -b .plusteks12
###%patch24 -p0 -b .link
%patch28 -p1 -b .group
%patch30 -p1 -b .brother2list
%patch31 -p1 -b .strformat
#patch32 -p0
%patch33 -p1 -b .pthread
%patch35 -p1 -b .lp-group-rw

#patch51 -p1 -b .systemd-configure-flag

%patch101 -p1
%patch106 -p1
#%patch109 -p1
%patch113 -p1
%patch115 -p1

# Fedora patches
%patch202 -p1 -b .open-macro
%patch203 -p1 -b .udev

# Patches for non-x86 platforms
%ifarch sparc
%patch9 -p1 -b .sparc
%endif

# "geniusvp2" backend
#setup -q -T -D -a 14 -n sane-backends-%{version}

# "hp3500" backend
# Patch does not match on file unsupported.desc (change should not affect
# the backend itself), so we force it in
#bzcat %{PATCH20} | patch -p0 -b --suffix .hp3500 -f || :

# Fix parallel build (Gwenole)
#for a in `find . -name Makefile.in -print`; do \
#	perl -p -i -e 's/^(\s*TARGETS\s+=\s+)(\S+)(\s+)(\$\(\S+_LTOBJS\))/$1$4$3$2/' $a; \
#done

# Patch for the HP ScanJet 44x0C scanners ("hp_rts88xx" backend)
#%setup -q -T -D -a 9 -n sane-backends-%{version}%{beta}
#cd sane_hp_rts88xx/sane_hp_rts88xx
#./patch-sane.sh $RPM_BUILD_DIR/sane-backends-%{version}%{beta}
#cd ../..
#patch21 -p1 -b .hp_rts88xx-0.18-fix_link
#echo 'hp_rts88xx' >> backend/dll.conf.in

# Primax parallel port scanners
%if %{primax_support}
%setup -q -T -D -a 3 -n sane-backends-%{version}%{beta}
%patch34 -p1 -b .gcc5
%endif

# "primascan" backend 
# (commented out in dll.conf, as it claims to support every USB scanner)
######%patch29 -p0 -b .primascan
cat %{SOURCE11} > backend/primascan.h
cat %{SOURCE12} > backend/primascan.c
##perl -p -i -e 's:(BACKENDS=\"):$1primascan :' configure.in
# <mrl> avoid autoconf by applying change to configure too.
##perl -p -i -e 's:(BACKENDS=\"):$1primascan :' configure
##perl -p -i -e 's:(DISTFILES\s*=\s*):$1primascan.h primascan.c :' backend/Makefile.in
echo '#primascan' >> backend/dll.conf.in

# Scanners in some Brother MF devices
#setup -q -T -D -a 10 -n sane-backends-%{version}%{beta}

# Epson Avasys driver for Epson scanners
%if %{epkowa_support}
%setup -q -T -D -a 13 -n sane-backends-%{version}%{beta}
%endif

# lib64 fixes (avoid patch)
# NOTE: don't regenerate configure script past this line
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /LDFLAGS=.*with_ptal/" configure
perl -pi -e "s@/lib/@/%_lib/@" primaxscan*/configure

# Reduce number of retries done by the "snapscan" backend when accessing
# the scanner
perl -p -i -e 's:for \(retries = 20; retries; retries--\):for (retries = 5; retries; retries--):' backend/snapscan-scsi.c

%if %{epkowa_support}
pushd iscan-%{iscanversion}
%patch23 -p0 -b .iscan-2.10.0-1_fix_link
%patch26 -p0 -b .no_non-free_please
%patch27 -p2 -b .linkage_fix
popd
%endif

# Remove the backend/dll.conf file generated by the patches, it prevents
# the Makefile from generating  the real dll.conf file
rm -f backend/dll.conf


%patch1000 -p1

%build
autoreconf -fi 
%configure2_5x \
  --enable-rpath=no \
  --enable-libusb_1_0 \
%if !%{gphoto2_support}
 --without-gphoto2
%endif


# Do not use macros here (with percent in the beginning) as parallelized
# build does not work
%make

# Primax parallel port scanners
%if %{primax_support}
chmod a+rx tools/sane-config
cd primaxscan*
PATH=`pwd`/../tools:${PATH}
CFLAGS="${RPM_OPT_FLAGS/-ffast-math/} -fPIC -I`pwd`/../include -L`pwd`/../backend/.libs/"\
#CFLAGS="${RPM_OPT_FLAGS/-ffast-math/} -I`pwd`/../include/sane -L`pwd`/../backend/.libs/"\
%configure2_5x
%make
%make primax_scan
cd ..
%endif

# Epson Avasys driver for Epson scanners
%if %{epkowa_support}
chmod a+rx tools/sane-config
PATH=`pwd`/tools:${PATH}
cd iscan-%{iscanversion}
cp -f /usr/share/aclocal/libtool.m4 m4/.
autoreconf -fi 
export CFLAGS="${RPM_OPT_FLAGS/-ffast-math/} -I`pwd`/../include -L`pwd`/../backend/ -fPIC -I/usr/include/libusb-1.0/"
export CXXFLAGS="${RPM_OPT_FLAGS/-ffast-math/} -I`pwd`/../include -L`pwd`/../backend/ -fPIC -I/usr/include/libusb-1.0/"
export LDFLAGS="%{?ldflags} -lusb-1.0"
%configure2_5x --disable-frontend
%make
cd ..
%endif

%install
%makeinstall_std

# Create missing lock dir
install -d %{buildroot}/var/lib/lock/sane

#mv %{buildroot}/%{_sbindir}/saned %{buildroot}/%{_sbindir}/in.saned
#install -m 755 tools/sane-find-scanner %{buildroot}/%{_bindir}
perl -pi -e "s/installed.*/installed=yes/g" %{buildroot}%{_libdir}/libsane.la
/sbin/ldconfig -n %{buildroot}%{_libdir} %{buildroot}%{_libdir}/sane

# Comment out entry for the "geniusvp2" backend in
# /etc/sane.d/dll.conf as it makes SANE hanging on some systems when
# the appropriate scanner is not present
perl -p -i -e 's/^(\s*geniusvp2)/\#$1/g' %{buildroot}%{_sysconfdir}/sane.d/dll.conf

# Remove "hpoj" line from /etc/sane.d/dll.con
perl -p -i -e 's/HP\s+OfficeJet/HPLIP/g' %{buildroot}%{_sysconfdir}/sane.d/dll.conf
perl -p -i -e 's/hpoj.sf.net/hplip.sf.net/g' %{buildroot}%{_sysconfdir}/sane.d/dll.conf
perl -p -i -e 's/hpoj/hpaio/g' %{buildroot}%{_sysconfdir}/sane.d/dll.conf

%if %{empty_dll_conf}
# The /etc/sane.d/dll.conf contains lines for every backend, so every
# backend probes for a scanner when a SANE frontend (e. g. xsane) is
# started. With this the user has always to wait around one minute
# before he can scan. We simply replace the file by a nearly empty one
# and let scannerdrake only insert the needed backends. So the
# frontends will start immediately
mv %{buildroot}%{_sysconfdir}/sane.d/dll.conf %{buildroot}%{_sysconfdir}/sane.d/dll.conf.orig
cat > %{buildroot}%{_sysconfdir}/sane.d/dll.conf <<EOF
# enable the next line if you want to allow access through the network:
net
EOF
%endif

# Move documentation from /usr/doc to /usr/share/doc
install -d %{buildroot}%{_docdir}/sane-backends-%{version}/
install -d %{buildroot}%{_docdir}/sane-backends-doc-%{version}/
pushd %{buildroot}/usr/doc/sane-%{version}
#pushd %{buildroot}/usr/doc/sane-1.0.18-cvs
mv `find -mindepth 1 -type d` *.html *.ps *.txt %{buildroot}%{_docdir}/sane-backends-doc-%{version}/
mv README README.linux %{buildroot}%{_docdir}/sane-backends-%{version}/
rm -f README.*
mv * %{buildroot}%{_docdir}/sane-backends-%{version}/
popd

# Primax parallel port scanners
%if %{primax_support}
cd primaxscan*
%makeinstall_std
rm -f %{buildroot}%{_libdir}/sane/libsane-primax.a
cp primax_scan %{buildroot}%{_bindir}
cd ..
%endif

# Epson Avasys driver for Epson scanners
%if %{epkowa_support}
cd iscan-%{iscanversion}
%makeinstall_std
rm -f %{buildroot}%{_libdir}/sane/libsane-epkowa.a
rm -f %{buildroot}%{_mandir}/man1/iscan.1*
rm -rf %{buildroot}%{_libdir}/iscan
cp backend/epkowa.conf %{buildroot}%{_sysconfdir}/sane.d/
echo 'epkowa' >> %{buildroot}%{_sysconfdir}/sane.d/dll.conf
cd ..
%endif

# Xinetd.d entry
mkdir %{buildroot}/etc/xinetd.d
cat %{SOURCE5} > %{buildroot}/etc/xinetd.d/saned

# udev rules for libusb user support
mkdir -p %{buildroot}/lib/udev/rules.d
install -m644 tools/udev/libsane.rules %{buildroot}/lib/udev/rules.d/60-libsane.rules
# Shorten too long comments
perl -p -i -e 's/(\#.{500}).*$/$1 .../' %{buildroot}/lib/udev/rules.d/60-libsane.rules

%find_lang sane-backends
sed -i '/^%dir/d' sane-backends.lang

find %{buildroot} -name '*.la' | xargs rm

%post -n saned
%_post_service saned

%pre -n saned
# Add saned to group scanner, cdwriter and usb for scanner access.
/usr/sbin/useradd -r -M -s /bin/false -d /etc/sane.d -c "system user for saned" saned -G cdwriter,usb,scanner || :
#%_pre_useradd saned /etc/sane.d /bin/false

%preun -n saned
%_preun_service saned

%postun -n saned
%_postun_userdel saned

%pre backends
%_pre_groupadd scanner

%postun backends
%_postun_groupdel scanner

%files backends -f sane-backends.lang
%doc %{_docdir}/sane-backends-%{version}
%{_bindir}/sane-find-scanner
%{_bindir}/scanimage
%{_bindir}/gamma4scanimage
%{_bindir}/umax_pp
%if %{primax_support}
%{_bindir}/primax_scan
%endif
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man7/*
%dir %{_sysconfdir}/sane.d
%dir %{_sysconfdir}/sane.d/dll.d
#config(noreplace) %{_sysconfdir}/sane.d/*[^saned]
%config(noreplace) %{_sysconfdir}/sane.d/*
/lib/udev/rules.d/*-libsane.rules
%attr(1777,root,root) %dir /var/lib/lock/sane
%if %{epkowa_support}
# iscan files
%exclude %{_sysconfdir}/sane.d/epkowa.conf
%exclude %{_mandir}/man5/sane-epkowa.5*
%endif

%if %{epkowa_support}
%files backends-iscan
%{_libdir}/sane/libsane-epkowa.*
%{_sysconfdir}/sane.d/epkowa.conf
%{_mandir}/man5/sane-epkowa.5*
%{_mandir}/man8/iscan-registry.*
%endif

%files backends-doc
%doc %{_docdir}/sane-backends-doc-%{version}

%files -n %{libname}
%{_libdir}/*.so.*
%dir %{_libdir}/sane
%{_libdir}/sane/*.so.*
%if %{epkowa_support}
%exclude %{_libdir}/sane/libsane-epkowa.*
%endif

%files -n %{libname_devel}
%{_bindir}/sane-config
%{_libdir}/*.so
%{_libdir}/sane/*.so
%{_includedir}/sane
%{_libdir}/pkgconfig/sane-backends.pc
%if %{epkowa_support}
%exclude %{_libdir}/sane/libsane-epkowa*
%endif

%files -n saned
%{_sbindir}/*
%{_mandir}/man8/saned*
#config(noreplace) %{_sysconfdir}/sane.d/saned.conf
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/xinetd.d/saned


%changelog
* Mon May 08 2017 martinw <martinw> 1.0.25-5.mga6
+ Revision: 1099725
- add rw access for the lp group in the udev rule file
  o this enables s-c-p and cups to use all-in-one devices (mga#17593)

* Tue Apr 25 2017 neoclust <neoclust> 1.0.25-4.mga6
+ Revision: 1097360
- Add P1000 - Fixes CVE-2017-6318 (mga#20450)

* Fri Mar 10 2017 akien <akien> 1.0.25-3.mga6
+ Revision: 1091634
- Rebuild for v4l-utils 1.12.3

* Sat Mar 05 2016 blino <blino> 1.0.25-2.mga6
+ Revision: 985892
- fix removing primaxscan .a file on x86_64
- fix plugin install path for primaxscan on x86_64
- add back libtool.m4 copy for iscan, like bootstrap script did
- iscan: use autoreconf instead of bootstrap script, no need to patch ltmain.sh to force soname to libsane

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Sun Oct 25 2015 zezinho <zezinho> 1.0.25-1.mga6
+ Revision: 895272
- new version 1.0.25 - some obsoletes patches disabled

* Thu Sep 24 2015 blino <blino> 1.0.24-14.mga6
+ Revision: 882536
- fix link of libsane-epkowa (needs libusb-1.0)
- do not buildrequire self

* Mon Sep 14 2015 zezinho <zezinho> 1.0.24-13.mga6
+ Revision: 879479
- enable epson backend again in dll.conf #5376

* Mon Sep 14 2015 blino <blino> 1.0.24-12.mga6
+ Revision: 879020
- drop epkowa/iscan lang files, they are installed only when frontends are built
- fix build of primaxscan with gcc5 (new inline semantics)
- fix build with systemd (upstream patches) and avoid BuildConflicts

* Wed Aug 05 2015 shlomif <shlomif> 1.0.24-11.mga6
+ Revision: 861255
- Add missing patch
- Fix MGA#15413 (patch thx to ysoft): USB3/xhci problems.

* Sun Feb 22 2015 anaselli <anaselli> 1.0.24-10.mga5
+ Revision: 816415
- rebuilt for new libgphoto2

* Fri Dec 05 2014 juergen_harms <juergen_harms> 1.0.24-9.mga5
+ Revision: 801601
- Fix BuildRequires: pkgconfig(sane-backends), pkgconfig(libusb-1.0)
- Fix bugzilla 11690: enhance to use libusb1.0 (both backend and epkowa parts)

  + ennael <ennael>
    - revert require for now as it seems it should work without it
    - Fix bogus require

* Mon Oct 27 2014 ennael <ennael> 1.0.24-8.mga5
+ Revision: 793931
- add missing require on libgphoto6

* Wed Oct 15 2014 umeabot <umeabot> 1.0.24-7.mga5
+ Revision: 747445
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.24-6.mga5
+ Revision: 689028
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Mon Aug 18 2014 remmy <remmy> 1.0.24-5.mga5
+ Revision: 665079
- Change home directory of system saned user (mga#3573)

* Sat Jul 05 2014 pterjan <pterjan> 1.0.24-4.mga5
+ Revision: 643786
- Replace libusb*-devel BuildRequires by better ones

* Mon Oct 21 2013 umeabot <umeabot> 1.0.24-3.mga4
+ Revision: 539690
- Mageia 4 Mass Rebuild

* Sat Oct 19 2013 blino <blino> 1.0.24-2.mga4
+ Revision: 533729
- add saned to the scanner group since USB scanner devices are owned by this group

* Mon Oct 07 2013 luigiwalser <luigiwalser> 1.0.24-1.mga4
+ Revision: 492784
- 1.0.24
- remove upstreamed patch 205

* Fri Apr 26 2013 colin <colin> 1.0.23-7.mga3
+ Revision: 411297
- Really fix the rpm-helper requires (mga#7987)

* Fri Apr 26 2013 colin <colin> 1.0.23-6.mga3
+ Revision: 411291
- Add rpm-helper requires for sane-backend pkg (mga#7987)

* Fri Apr 26 2013 colin <colin> 1.0.23-5.mga3
+ Revision: 411287
- Ensure 'scanner' group exists (needed for udev rules mga#7987)

* Mon Jan 14 2013 umeabot <umeabot> 1.0.23-4.mga3
+ Revision: 381692
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 cjw <cjw> 1.0.23-3.mga3
+ Revision: 339594
- patch33: enable pthreads for the backends that depend on it without changing other backends

* Wed Oct 17 2012 fwang <fwang> 1.0.23-2.mga3
+ Revision: 307411
- update rpm group

* Sat Sep 08 2012 dmorgan <dmorgan> 1.0.23-1.mga3
+ Revision: 290342
- New version
  Remove merged/unused patches

* Sun Aug 05 2012 anssi <anssi> 1.0.22-8.mga3
+ Revision: 278550
- do not Provide "sane" in saned package, it doesn't make sense and it is
  already provided by sane-backends

* Mon Mar 12 2012 colin <colin> 1.0.22-7.mga2
+ Revision: 222831
- Add Brother DCP-153C scanner support (mga#3698)
- Add Brother DCP-J125 scanner support (mga#3698)
- Fix udev rules install location (should be in /lib/udev/rules.d/)

* Fri Dec 23 2011 fwang <fwang> 1.0.22-5.mga2
+ Revision: 186549
- new version of iscan
  rediff iscan patches
- rebuild for new libtiff

* Thu Sep 29 2011 fwang <fwang> 1.0.22-4.mga2
+ Revision: 150233
- tighten br

* Wed Sep 21 2011 fwang <fwang> 1.0.22-3.mga2
+ Revision: 146275
- put into correct place
- drop .la files

  + dlucio <dlucio>
    - P33:MP495 support

* Thu Mar 17 2011 dmorgan <dmorgan> 1.0.22-1.mga1
+ Revision: 73175
- Update to sane 1.0.22
  Add fedora patches

* Thu Jan 20 2011 ahmad <ahmad> 1.0.21-7.mga1
+ Revision: 25540
+ rebuild (emptylog)

* Wed Jan 19 2011 ahmad <ahmad> 1.0.21-6.mga1
+ Revision: 24948
- drop old/unneeded scriptlets
- use generic sane-backends requires
- imported package sane

